Bug 1419663 - [abrt] rarian-compat: scan_directory(): rarian-sk-get-cl killed by SIGSEGV
Summary: [abrt] rarian-compat: scan_directory(): rarian-sk-get-cl killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rarian
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c909573cfdbce6d9dafc96d8b97...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 16:50 UTC by Vedran Miletić
Modified: 2017-12-12 10:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (15.85 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: core_backtrace (1.92 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: dso_list (588 bytes, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: environ (1.76 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: maps (3.16 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: mountinfo (7.48 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: open_fds (630 bytes, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-06 16:50 UTC, Vedran Miletić
no flags Details

Description Vedran Miletić 2017-02-06 16:50:29 UTC
Version-Release number of selected component:
rarian-compat-0.8.1-15.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/rarian-sk-get-cl en scrollkeeper_cl.xml
crash_function: scan_directory
executable:     /usr/bin/rarian-sk-get-cl
global_pid:     16340
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            7057

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 scan_directory at rarian-main.c:297
 #5 scan_directories at rarian-main.c:237

Potential duplicate: bug 1281661

Comment 1 Vedran Miletić 2017-02-06 16:50:32 UTC
Created attachment 1248077 [details]
File: backtrace

Comment 2 Vedran Miletić 2017-02-06 16:50:34 UTC
Created attachment 1248078 [details]
File: cgroup

Comment 3 Vedran Miletić 2017-02-06 16:50:35 UTC
Created attachment 1248079 [details]
File: core_backtrace

Comment 4 Vedran Miletić 2017-02-06 16:50:36 UTC
Created attachment 1248080 [details]
File: dso_list

Comment 5 Vedran Miletić 2017-02-06 16:50:37 UTC
Created attachment 1248081 [details]
File: environ

Comment 6 Vedran Miletić 2017-02-06 16:50:38 UTC
Created attachment 1248082 [details]
File: exploitable

Comment 7 Vedran Miletić 2017-02-06 16:50:39 UTC
Created attachment 1248083 [details]
File: limits

Comment 8 Vedran Miletić 2017-02-06 16:50:40 UTC
Created attachment 1248084 [details]
File: maps

Comment 9 Vedran Miletić 2017-02-06 16:50:42 UTC
Created attachment 1248085 [details]
File: mountinfo

Comment 10 Vedran Miletić 2017-02-06 16:50:43 UTC
Created attachment 1248086 [details]
File: namespaces

Comment 11 Vedran Miletić 2017-02-06 16:50:44 UTC
Created attachment 1248087 [details]
File: open_fds

Comment 12 Vedran Miletić 2017-02-06 16:50:45 UTC
Created attachment 1248088 [details]
File: proc_pid_status

Comment 13 Vedran Miletić 2017-02-06 16:50:47 UTC
Created attachment 1248089 [details]
File: var_log_messages

Comment 14 Fedora Admin XMLRPC Client 2017-06-14 12:15:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2017-11-16 15:23:12 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:28:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.